org.apache.cassandra.db.compaction

## Class LeveledCompactionTask

- java.lang.Object
- - org.apache.cassandra.utils.WrappedRunnable
  - - org.apache.cassandra.io.util.DiskAwareRunnable
    - - org.apache.cassandra.db.compaction.AbstractCompactionTask
      - - org.apache.cassandra.db.compaction.CompactionTask
        - - org.apache.cassandra.db.compaction.LeveledCompactionTask

All Implemented Interfaces:
  java.lang.Runnable

    public class LeveledCompactionTask
    extends CompactionTask

### Field Summary

### Fields inherited from class org.apache.cassandra.db.compaction.CompactionTask

`gcBefore, logger, totalBytesCompacted`

### Fields inherited from class org.apache.cassandra.db.compaction.AbstractCompactionTask

`cfs, compactionType, isUserDefined, sstables`

### Constructor Summary

Constructors
Constructor and Description
`LeveledCompactionTask(ColumnFamilyStore cfs, java.util.Collection<SSTableReader> sstables, int level, int gcBefore, long maxSSTableBytes)`

### Method Summary

Methods
`protected int` `getLevel()`
`protected boolean` `newSSTableSegmentThresholdReached(SSTableWriter writer)`
`protected boolean` `partialCompactionsAcceptable()`

### Methods inherited from class org.apache.cassandra.db.compaction.CompactionTask

`addToTotalBytesCompacted, executeInternal, getCompactionController, getExpectedWriteSize, getMaxDataAge, reduceScopeForLimitedSpace, runWith`

### Methods inherited from class org.apache.cassandra.db.compaction.AbstractCompactionTask

`execute, getDirectories, setCompactionType, setUserDefined, toString`

### Methods inherited from class org.apache.cassandra.io.util.DiskAwareRunnable

`runMayThrow`

### Methods inherited from class org.apache.cassandra.utils.WrappedRunnable

`run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LeveledCompactionTask

    public LeveledCompactionTask(ColumnFamilyStore cfs,
                         java.util.Collection<SSTableReader> sstables,
                         int level,
                         int gcBefore,
                         long maxSSTableBytes)

### Method Detail

#### newSSTableSegmentThresholdReached

    protected boolean newSSTableSegmentThresholdReached(SSTableWriter writer)

Overrides:
  `newSSTableSegmentThresholdReached` in class `CompactionTask`

#### partialCompactionsAcceptable

    protected boolean partialCompactionsAcceptable()

Overrides:
  `partialCompactionsAcceptable` in class `CompactionTask`

#### getLevel

    protected int getLevel()

Overrides:
  `getLevel` in class `CompactionTask`